@import "Mixins";
@import "Sudoku";
@import "Styles";

@mixin reset() {

  * {
    box-sizing: border-box;
  }

  h1, h2, h3, h4, h5, h6, hr, a, p, div, nav, section, article, ul, li, button, input, select, pre {
    margin: 0;
    padding: 0;
    font-weight: normal;
  }

  li {
    list-style-type: none;
  }

  h1 {
    font-size: 1.5em;
  }
  h2 {
    @include mediaMaxSmall() {
      font-size: 1.2em;
    }
    @include mediaMinNormal() {
      font-size: 1.4em;
    }
  }
  h3 {
    @include mediaMaxSmall() {
      font-size: 1.1em;
    }
    @include mediaMinNormal() {
      font-size: 1.3em;
    }
  }
  h4 {
    @include mediaMaxSmall() {
      font-size: 1.1em;
    }
    @include mediaMinNormal() {
      font-size: 1.2em;
    }
  }
  h5 {
    font-size: 1.1em;
  }
  h6 {
    font-size: 1em;
  }

  button, input, select, option {
    border: none;
    box-shadow: none;
    background: none;
    color: inherit;
    font-size: 0.9em;
  }

  /* Chrome, Safari, Edge, Opera */
  input::-webkit-outer-spin-button,
  input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  /* Firefox */
  input[type=number] {
    -moz-appearance: textfield;
  }

  a {
    text-decoration: none;
    color: inherit;
  }
}

@mixin fonts() {

  @include lato();

  input, select, option, button {
    @include lato();
  }

  pre, p {
    @include courier();
  }

  a {
    text-decoration: none;
  }

  h1, h2, h3, h4, header, footer {
    @include lemonada();
  }
  h5, h6 {
    @include latoBold();
  }

  button {
    font-size: 12px;
  }

  li {
    list-style-type: none;
  }

  button, input, select, option, nav ul li, a {
    cursor: pointer;
  }
}

body {
  margin: 0;
}

#app-container {

  @include reset();
  @include fonts();

  .header-brand {
    @include main-color();
    width: 100%;
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;

    li {
      font-size: 1em;
    }

    h1 {
      font-size: 1.6em;
      @include latoBold();
    }

    .app-title {
      padding: 20px;
      margin-right: 40px;
    }

    ul {
      display: flex;
      flex-grow: 2;
      flex-direction: row;
      align-content: center;
      justify-content: flex-start;

      li {
        margin-left: 10px;
        padding: 10px;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        align-content: center;
        justify-content: center;

        &.active {
          @include main-color-dusk()
        }
      }
    }
  }

  .app-content {
    margin: 20px;
  }

  @include appStyles();

  @include sudoku();
}